resources:
    App\Entity\Trace:
        output: App\Dto\Output\TraceOutput
        normalizationContext:
            groups: ['default', 'trace:read']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\TraceProvider
                filters:
                    - 'api_platform.filter.trace.order'
                    - 'api_platform.filter.trace.search'
            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\TraceProvider

            cancel_trace:
                shortName: OgRepository Server
                description: Cancel Trace in OgRepository
                class: ApiPlatform\Metadata\Post
                method: POST
                input: false
                uriTemplate: /traces/server/{uuid}/cancel
                controller: App\Controller\OgRepository\Image\CancelTransmissionAction

        order:
            createdAt: DESC

properties:
    App\Entity\Trace:
        id:
            identifier: false
        uuid:
            identifier: true